cmake_minimum_required(VERSION 3.20)

project(
  contour-creator
  LANGUAGES CXX)    
  
add_executable(${PROJECT_NAME}
	src/HeightMap.cpp src/CellMap.cpp src/main.cpp
)

# Argh is a simple argrument parser
add_subdirectory(extern/argh)
target_link_libraries(${PROJECT_NAME} PRIVATE argh)

# Gdal is used for geodata IO
find_package(GDAL CONFIG REQUIRED)
target_link_libraries(${PROJECT_NAME} PRIVATE GDAL::GDAL)

find_package(OpenMP)
if(OpenMP_CXX_FOUND)
    target_link_libraries(${PROJECT_NAME} PUBLIC OpenMP::OpenMP_CXX)
endif()